Package com.smartgwt.client.types

# Enum LineBreakStyle

java.lang.Object
java.lang.Enum<LineBreakStyle>
com.smartgwt.client.types.LineBreakStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<LineBreakStyle>`, `Constable`

public enum LineBreakStyle extends Enum<LineBreakStyle> implements ValueEnum
The style of line-breaks to use when exporting data

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DEFAULT`
  Use the default line-break style of the server OS
  `DOS`
  Use DOS-style line-breaks (both CR & LF)
  `MAC`
  Use MAC-style line-breaks (CR only)
  `UNIX`
  Use UNIX-style line-breaks (LF only)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static LineBreakStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static LineBreakStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DEFAULT

    public static final LineBreakStyle DEFAULT
    Use the default line-break style of the server OS

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "default".

  - ### UNIX

    public static final LineBreakStyle UNIX
    Use UNIX-style line-breaks (LF only)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "unix".

  - ### MAC

    public static final LineBreakStyle MAC
    Use MAC-style line-breaks (CR only)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "mac".

  - ### DOS

    public static final LineBreakStyle DOS
    Use DOS-style line-breaks (both CR & LF)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "dos".

- ## Method Details

  - ### values

    public static LineBreakStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static LineBreakStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`